Index: compiler/gcc.hpp
===================================================================
--- compiler/gcc.hpp	(revision 66775)
+++ compiler/gcc.hpp	(working copy)
@@ -93,7 +93,9 @@
 // Identify cygwin environments
 // 
 #if __CYGWIN__
-#  define BOOST_CYGWIN
+# ifndef BOOST_CYGWIN
+#  define BOOST_CYGWIN            __CYGWIN__ // Boost platform ID macros.
+# endif
 #endif
 
 //
Index: platform/cygwin.hpp
===================================================================
--- platform/cygwin.hpp	(revision 66775)
+++ platform/cygwin.hpp	(working copy)
@@ -7,8 +7,12 @@
 // See http://www.boost.org for most recent version.
 
 #define BOOST_PLATFORM          "Cygwin"   // Platform name.
-#define BOOST_CYGWIN            __CYGWIN__ // Boost platform ID macros.
+#ifndef BOOST_CYGWIN
+# define BOOST_CYGWIN            __CYGWIN__ // Boost platform ID macros.
+#endif
 
+
+
 #define BOOST_HAS_DIRENT_H
 #define BOOST_HAS_LOG1P
 #define BOOST_HAS_EXPM1
